<style>
  .savecreds {
    transition: 0.3s ease-in-out;
  }

  .savecreds:hover {

    background-color: transparent !important;
    color: black !important;
  }
</style>

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
  integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
<div class="panel">
  <div class="panel-heading">
    {assign var="active" value="configure"}
    {include file="module:SynSmsnotifications/views/templates/admin_tabs.tpl" active=$active}
    <br>

    <div>
      <form action="" method="POST" id="save_creds">
        <div class="row">
          <div class="col" style="padding-left:0!important;">
            <label for="api_url">Api url:</label>
            <input type="text" id="api_url" name="api_url" value="{$api_url}" style="width: 700px;" required>


            <label for="senderid">Sender Id:</label>
            <input type="text" id="senderid" name="senderid" value="{$sender_id}" style="width: 700px;" required>
            <br>
            <label for="routing_option">{l s='Routing Option' mod='SynSmsnotifications'}
            </label>

            <select id="routing_option" name="routing_option" style="width: 300px;">
              <option value="sms" {if $routing_option == "sms"}selected{/if}>SMS</option>
              <option value="viber" {if $routing_option == "viber"}selected{/if}>Viber</option>
              <option value="viber2sms" {if $routing_option == "viber2sms"}selected{/if}>Viber2SMS</option>
            </select>

            <br>
            <label for="api_key">Api Key:</label>
            <input type="text" id="api_key" name="api_key" value="{$api_key}" style="width: 700px;" required>
            <br>
            <div style="opacity:0;height:0;">
              <label for="api_secret">Api Secret:</label>
              <input type="text" id="api_secret" name="api_secret" value="{$api_secret}" style="width: 700px;opacity:0;height:0;" required>
            </div>
            <div style="width:100%;display:flex;justify-content:flex-start;margin-top:1em;">
              <input type="submit" style="padding:1em!important;" value="Αποθήκευση" class="btn btn-dark savecreds"
                name="savecreds">
            </div>
          </div>
          <div class="col">


            {if $back_in_stock_status == 'on'}

              <div class="form-check form-switch" style="padding-left:0!important;">
                <label for="activate_back_instock_checkbox" class="form-check-label">
                  &nbsp;Back in stock
                  <input type="checkbox" class="form-check-input" name="activate_back_instock_checkbox"
                    id="activate_back_instock_checkbox" checked></label>
              </div>
              <br><br>

              Back In stock SMS</label>
              <div class="row padded-message container-fluid"
                style="margin-bottom:1em;margin-top:1em;flex-direction:column;">
                <h4><strong>Οδηγίες σύνταξης SMS:</strong></h4>
                <p style="font-size:13px;">Για λόγους ευκολίας μπορείτε να χρησιμοποιείστε τις παρακάτω μεταβλητές για
                  γρήγορη αντικατάσταση των
                  δεδομένων:
                </p>
                <ol>
                  <li>όνομα του προϊόντος =&gt; {literal}{product_name}{/literal}</li>
                  <li> link του προϊόντος =&gt;{literal} {product_url}{/literal}</li>

                </ol>

              </div>
              <textarea rows="4" id="back_in_stock_msg" name="back_in_stock_msg">{$back_in_stock_msg}</textarea>
              <div style="display:flex;gap:1em;">
                <div id="character_count"></div>
                <div id="character_warning"></div>
              </div>
            {else}
              <div class="form-check form-switch" style="padding-left:0!important;">
                <label for="activate_back_instock_checkbox" class="form-check-label">
                  &nbsp;Back in stock
                  <input type="checkbox" class="form-check-input" name="activate_back_instock_checkbox"
                    id="activate_back_instock_checkbox"></label>
              </div>
            {/if}


          </div>
        </div>


      </form>
    </div>
  </div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script>


  jQuery("#back_in_stock_msg").on("input", function() {

    var charCount = jQuery(this).val().length;

    var result;

    if (charCount >= 160 && charCount <= 306) {
      result = 2;
    } else if (charCount > 306) {
      result = Math.ceil((charCount - 306) / 156) + 2;
    } else {
      result = 1;
    }

    jQuery("#character_count").html(
      "<strong>" + charCount + "</strong>" + " Χαρακτήρες"
    );

    jQuery("#character_warning").html(
      "Το μήνυμα θα αποσταλεί σε <strong>" + result + " </strong> SMS."
    );

  });
</script>